<ng-container *ngIf="!(isLoading$ | async)">
  <div class="dashboard" *ngIf="boards$ | async as boards">
    <div class="dashboard__header">
      <div class="dashboard__header-left">
        <h1 class="dashboard__header-text mat-h1 bold-text">Dashboard</h1>
        <mat-chip-list>
          <mat-chip disabled>{{ boards.length === 1
            ? boards.length + ' Board'
            : boards.length + ' Boards'}}
          </mat-chip>
        </mat-chip-list>
      </div>
      <div class="dashboard__header-right">
        <div class="dashboard__filter">
          <mat-icon class="dashboard__filter-icon">search</mat-icon>
          <input type="text" class="dashboard__filter-input" placeholder="Filter your boards">
        </div>
        <button
          class="dashboard__add-button"
          mat-raised-button
          color="primary"
          (click)="openAddBoardDialog()">
          Add Board
        </button>
      </div>
    </div>

    <app-board-card-list [boards]="boards"></app-board-card-list>

    <router-outlet></router-outlet>
  </div>
</ng-container>

<app-loading [isLoading]="isLoading$"></app-loading>


